PDA

View Full Version : Can't install Launchy on Fedora 9



jojohippo
30th July 2008, 05:00 AM
Hi, I'm trying to install launchy (http://www.launchy.net/ ) on fedora 9. For those of you who don't know what it is, launchy is an application launcher like gnome-do (but I like launchy better). It used to be windows only but now they've just come out with a linux version and they sourceforge page has a deb file and a tarball to install from so I downloaded the tarball.

I can't find the dependancies for launchy and the install file says you need libqt4-dev libboost-dev g++ but I can't find any of them...

Also when I try to install and type in 'make' I get this message "make: *** No targets specified and no makefile found. Stop." even though i can see the makefile.

I'm a bit of a noob and I don't know much about installing from tar.gz's. Any helps appreciated!

Seve
30th July 2008, 05:23 AM
Hello:
Make sure you have downloaded the launchy-2.1.1.tar.gz file.
Then right click on the file and select extract here.
Once that is finished, open a terminal and
cd /to/the/directory/launchy-2.1.1

Then type and enter
make
once that process is complete (hopefully error free) type and enter
su

then type and enter

make install

The program creates a Menu entry under /Applications / Accessories

The dependencies should be satisfied by installing the following

yum install boost-devel qt-devel

Seve

jojohippo
30th July 2008, 06:07 AM
Thanks seve! the install worked after installing those dependancies... I guess you torontonian's aren't so bad afterall ;)

Seve
30th July 2008, 06:11 AM
Thanks seve! the install worked after installing those dependancies... I guess you torontonian's aren't so bad afterall ;)
Well ... some of us are okay :)

BTW I was playing around with launchy and created a rpm if you are interested.

Seve

jojohippo
30th July 2008, 06:16 AM
Sure... it makes it easier for later.

Seve
30th July 2008, 06:36 AM
Hello:
Are you using a 32 or 64bit version of Fedora 9 ?

Seve

jojohippo
30th July 2008, 03:39 PM
I'm using 32bit

Seve
31st July 2008, 01:36 AM
Hello:
You can grab the rpm here.
http://rapidshare.com/files/133706931/launchy-2.1.1-1.fc9.i386.rpm.html
Click on the Free user

No guarantees but it should work just fine.

Seve

Iananan
19th April 2011, 06:12 PM
I know this is an old topic, but i'm having the same problem, I have installed the dependencies mentioned with yum, but still cannot make.

there is no config file so ./configure does nothing, and without a makefile, make refuses to do anything.
the exact error I get is

make: *** No targets specified and no makefile found. Stop.

this is launchy 2.5 in fedora 14 though, and I can't find a list of dependencies anywhere

can anyone help? an rpm would be nifty, but I should really learn how these things work.